/// <reference types="express" />
import express = require('express');
import { ProxyRouter, ProxyConfig } from './proxy';
import { DatabaseRouter, DatabaseConfig } from './db';
import { ApiRouter, ApiConfig } from './api';
import { StaticConfig } from './static';
interface MockConfig {
    api?: ApiConfig;
    database?: DatabaseConfig;
    proxy?: ProxyConfig;
    static?: StaticConfig;
}
declare const MockServer: (config: MockConfig) => express.Application;
export { ProxyRouter, DatabaseRouter, ApiRouter, MockConfig, MockServer, MockServer as default };
