/// <reference types="express" />
import { Router } from 'express';
export interface ProxyConfig {
    enable: boolean;
    host: string;
    routes: {
        url: string;
        options?: Object;
    }[];
    priority?: number;
}
export declare const ProxyRouter: (config: ProxyConfig) => Router;
export default ProxyRouter;
